org.apache.storm.messaging.netty

## Class MessageDecoder

- java.lang.Object
- - org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter
  - - org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter
    - - org.apache.storm.shade.io.netty.handler.codec.ByteToMessageDecoder
      - - org.apache.storm.messaging.netty.MessageDecoder

- All Implemented Interfaces:
    org.apache.storm.shade.io.netty.channel.ChannelHandler, org.apache.storm.shade.io.netty.channel.ChannelInboundHandler

      public class MessageDecoder
      extends org.apache.storm.shade.io.netty.handler.codec.ByteToMessageDecoder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.shade.io.netty.handler.codec.ByteToMessageDecoder

      `org.apache.storm.shade.io.netty.handler.codec.ByteToMessageDecoder.Cumulator`

    - ### Nested classes/interfaces inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

      `org.apache.storm.shade.io.netty.channel.ChannelHandler.Sharable`

  - ### Field Summary

    - ### Fields inherited from class org.apache.storm.shade.io.netty.handler.codec.ByteToMessageDecoder

      `COMPOSITE_CUMULATOR, MERGE_CUMULATOR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessageDecoder(KryoValuesDeserializer deser)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `decode(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, org.apache.storm.shade.io.netty.buffer.ByteBuf buf, List<Object> out)`
    `void` | `exceptionCaught(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx, Throwable cause)`

    - ### Methods inherited from class org.apache.storm.shade.io.netty.handler.codec.ByteToMessageDecoder

      `actualReadableBytes, callDecode, channelInactive, channelRead, channelReadComplete, decodeLast, discardSomeReadBytes, handlerRemoved, handlerRemoved0, internalBuffer, isSingleDecode, setCumulator, setDiscardAfterReads, setSingleDecode, userEventTriggered`

    - ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter

      `channelActive, channelRegistered, channelUnregistered, channelWritabilityChanged`

    - ### Methods inherited from class org.apache.storm.shade.io.netty.channel.ChannelHandlerAdapter

      `ensureNotSharable, handlerAdded, isSharable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.shade.io.netty.channel.ChannelHandler

      `handlerAdded`

- - ### Constructor Detail

    - #### MessageDecoder

          public MessageDecoder(KryoValuesDeserializer deser)

  - ### Method Detail

    - #### decode

          protected void decode(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx,
                                org.apache.storm.shade.io.netty.buffer.ByteBuf buf,
                                List<Object> out)
                         throws Exception

      Specified by:
        `decode` in class `org.apache.storm.shade.io.netty.handler.codec.ByteToMessageDecoder`
      Throws:
        `Exception`

    - #### exceptionCaught

          public void exceptionCaught(org.apache.storm.shade.io.netty.channel.ChannelHandlerContext ctx,
                                      Throwable cause)

      Specified by:
        `exceptionCaught` in interface `org.apache.storm.shade.io.netty.channel.ChannelHandler`
      Specified by:
        `exceptionCaught` in interface `org.apache.storm.shade.io.netty.channel.ChannelInboundHandler`
      Overrides:
        `exceptionCaught` in class `org.apache.storm.shade.io.netty.channel.ChannelInboundHandlerAdapter`

Copyright © 2021 The Apache Software Foundation. All rights reserved.